Request payment-data
Request a payment-data bundle for a Commerce token.
The bundle can contain various elements including the TAVV cryptogram for a network token.
Authorizations
Path Parameters
The ID of the Commerce token
Body
The amount given in minor units (e.g. use 700 for 7€). Some currencies do not support minor units (e.g. Japanese Yen). In this case send in the full value, .i.e. 100 for 100 JPY.
x >= 0A reference to the payment
The ID of the merchant for whom the authentication is requested.
Only required when the account operates an ecoystem or platform. The value will default to the primary merchant of an account in other cases.
Response
Success response
The id of the requested payment data
The amount given in minor units (e.g. use 700 for 7€). Some currencies do not support minor units (e.g. Japanese Yen). In this case send in the full value, .i.e. 100 for 100 JPY.
x >= 0The ID of the merchant for whom the authentication is requested
Reference in calling system
The result of the processing of the request.
If true, the processing was successfully completed. In case it is false, the processing failed and the failure_details field contains more information about the failure.
The ID of the token on Commerce
The date-time the payment-data was created (following ISO 8601)
JWE encrypted JSON string containing authentication data.
Encrypted in a symmetric way with the shared encryption key using "alg"=A256GCMKW and "enc"="A256GCM". For decryption make sure the shared secret is hashed with a sha256 digest.
The decrypted JSON has the following format:
{
network_token: {
token: "token_value",
expiry_year: 2023,
expiry_month: 12
},
cryptogram: "cryptogram_value",
eci: "eci_value"
}-
The field
network_tokencontains the value of the token, the year of expiry and the month of expiry of the token and is always included. -
The field
cryptogramcontains the value of the cryptogram and is always included. -
The field
ecican instead have a value if there was an Electronic Commerce Indicator assigned, or it can benullif no information was provided.
The reasons why the processing failed.
There are two categories of errors that can happen in this context (the source field indicates the category):
- Scheme errors: errors that are returned by the scheme.
- Configuration errors: errors that are caused by the configuration with respect to the scheme.